// (C) 2026 GoodData Corporation
import { createContext, useContext } from "react";
const AlertingDialogContext = createContext(undefined);
export const AlertingDialogContextProvider = AlertingDialogContext.Provider;
export function useAlertingDialogContext() {
    const ctx = useContext(AlertingDialogContext);
    if (!ctx) {
        throw new Error("useAlertingDialogContext must be used within AlertingDialogContextProvider");
    }
    return ctx;
}
